Skip to main content
POST
Send AI chat message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

message
string

Message to send. Required unless checkpoint_id is supplied.

session_id
string<uuid>

Resume an existing session

checkpoint_id
string<uuid>

Pending confirmation checkpoint to resolve

decision
enum<string>

Resolve the checkpoint with confirm or cancel

Available options:
confirm,
cancel
incident_id
string<uuid>

Bind session to an incident for context (mutually exclusive with alert_id)

alert_id
string<uuid>

Bind session to an alert for context (mutually exclusive with incident_id)

Response

AI chat response

data
object
required
included
object[]